package com.tourism.webadmin.app.website.dto;

import com.tourism.common.core.object.MyOrderParam;
import com.tourism.common.core.validator.ConstDictRef;
import com.tourism.webadmin.back.model.constant.Hotspot;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

import java.util.List;

/**
 * 门户预定管理Dto对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "TourismProjectToWebDto对象")
@Data
public class TourismProjectToWebDto {


    /**
     * 所属分类。
     */
    @Schema(description = "所属分类。")
    @NotNull(message = "所属分类不能为空")
    private Long belongTab;

    /**
     * 是否为热点项目。
     */
    @Schema(description = "是否热点，0非热点，1热点。")
    private Integer isHotspot;

    /**
     * 分页号码，从1开始计数。
     */
    @Schema(description = "分页号码。")
    private Integer pageNum;

    /**
     * 每页大小。
     */
    @Schema(description = "每页大小。")
    private Integer pageSize;

    /**
     * 是否统计totalCount。
     */
    @Schema(description = "每页大小。")
    private Boolean count;

    /**
     * 排序。
     */
    @Schema(description = "排序。")
    private MyOrderParam orderParamList;

    /**
     * 菜单id。
     */
    private List<Long> directoryInfoIds;
}
